Associate records (labelled)
curl --request PUT \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/{objectId}/associations/{toObjectType}/{toObjectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"associationTypeId": 123
}
]
'import requests
url = "https://api.hubapi.com/crm/objects/2026-03/{objectType}/{objectId}/associations/{toObjectType}/{toObjectId}"
payload = [{ "associationTypeId": 123 }]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{associationTypeId: 123}])
};
fetch('https://api.hubapi.com/crm/objects/2026-03/{objectType}/{objectId}/associations/{toObjectType}/{toObjectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fromObjectId": "<string>",
"fromObjectTypeId": "<string>",
"labels": [
"<string>"
],
"toObjectId": "<string>",
"toObjectTypeId": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Associate records
Associate records (labeled)
Set association labels between two records.
PUT
/
crm
/
objects
/
2026-03
/
{objectType}
/
{objectId}
/
associations
/
{toObjectType}
/
{toObjectId}
Associate records (labelled)
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Response
successful operation
The relationship descriptors applicable between two object types.
The ID of the source object in the association.
The type ID of the source object in the association.
An array of labels associated with the relationship between the objects.
The ID of the target object in the association.
The type ID of the target object in the association.
Last modified on March 23, 2026
Was this page helpful?
⌘I